# -*- coding: utf-8 -*-
from __future__ import annotations

import logging

from celery import shared_task

LOGGER = logging.getLogger(__name__)


@shared_task
def ping():
    LOGGER.info('PONG')


@shared_task(bind=True)
def debug_request(self):
    LOGGER.warning(
        'request.id=`%s` request.properties=`%s`',
        self.request.id,
        self.request.properties,
    )
